%define upstream_name    Tapper-Reports-Receiver
%define upstream_version 5.0.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Receive test reports
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tapper/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(AnyEvent::Handle)
BuildRequires: perl(AnyEvent::Socket)
BuildRequires: perl(Class::C3)
BuildRequires: perl(Data::DPath)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(DateTime::Format::Mail)
BuildRequires: perl(DateTime::Format::Natural)
BuildRequires: perl(Devel::Backtrace)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::MimeInfo::Magic)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Daemon)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(LockFile::Simple) >= 0.208.0
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Module::Find) >= 0.110.0
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Daemonize)
BuildRequires: perl(MooseX::Log::Log4perl)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sys::Syslog)
BuildRequires: perl(Tapper::Base)
BuildRequires: perl(Tapper::Config)
BuildRequires: perl(Tapper::Model)
BuildRequires: perl(Tapper::Schema)
BuildRequires: perl(Tapper::Schema::TestTools)
BuildRequires: perl(Tapper::TAP::Harness)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fixture::DBIC::Schema)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(YAML::Syck)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Tapper Distribution for Receiving Test Reports.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SPEC
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/tapper-reports-receiver
/usr/bin/tapper-reports-receiver-daemon
%{_mandir}/man1/tapper-reports-receiver-daemon.1*
%{_mandir}/man1/tapper-reports-receiver.1*

%changelog
* Fri Jan 24 2025 tv <tv> 5.0.2-1.mga10
+ Revision: 2141942
- update to 5.0.2

* Sun Mar 20 2022 umeabot <umeabot> 5.0.1-4.mga9
+ Revision: 1805896
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 5.0.1-3.mga8
+ Revision: 1497258
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 5.0.1-2.mga7
+ Revision: 1271479
- Mageia 7 Mass Rebuild

* Mon Sep 05 2016 pterjan <pterjan> 5.0.1-1.mga6
+ Revision: 1050042
- Update to 5.0.1
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 4.1.3-6.mga6
+ Revision: 971886
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 4.1.3-5.mga6
+ Revision: 893431
- rebuild with fixed deps

* Wed Oct 15 2014 umeabot <umeabot> 4.1.3-4.mga5
+ Revision: 744892
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 4.1.3-1.mga4
+ Revision: 441770
- update to 4.1.3
- update to 4.1.2
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 28 2012 shlomif <shlomif> 4.1.1-1.mga3
+ Revision: 310983
- Add missing BR
- Missing desc
- imported package perl-Tapper-Reports-Receiver

